Getting invalid package appworx_oae_pk when creating/updating OA trigger.

Document ID : KB000090137
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Getting invalid package appworx_oae_pk when creating/updating OA trigger.
Resolution:

Symptoms

The OAE_Objects_10G.sql   file did work when we installed the last  OAE agent against an Oracle Apps 11g server (on a remote agent host).   This time around, we created a new remote agent & OAE agent on a a different Oracle Apps server host, which was pointing to a cloned version of the previous Oracle Apps DB (the one we successfully used the OAE_Objects_10G.sql against).  The only difference in the Automic AM remote agent creation this time around is that we did not actually create the agent, we tarred up the previous remote agent and untarred it on the new host.  I then ran agentinstall on the new agent, and changed the name of the agent to be the one we added in the master GUI.  I also edited awenv.ini & sosite files to make sure they had the right agent name, and also checked the data directory to make sure it had a file  AGENTNAME.APPWORX with one entry in it (AGENTNAME), both, reflecting the new agent name.  Not sure why I'm getting the invalid package - it should work like before.


Cause

I looked the error up in metalink, and see in article 1300701.01 that there is a bug that requires the one off Patch 11074304. This is for Oracle version 11.2.0.2 and later.


Resolution

Installed Oracle Patch 11074304. This is for Oracle version 11.2.0.2 and later.